com.streambase.liveview.client.alert

## Enum AlertRuleAction.ActionType

- java.lang.Object
- - java.lang.Enum<AlertRuleAction.ActionType>
  - - com.streambase.liveview.client.alert.AlertRuleAction.ActionType

- All Implemented Interfaces:
    Serializable, Comparable<AlertRuleAction.ActionType>
  Enclosing interface:
    AlertRuleAction

      public static enum AlertRuleAction.ActionType
      extends Enum<AlertRuleAction.ActionType>

  Gets the type of the action, with a readable form. Sure, you could do a bunch of instanceof, but this is cleaner and works in a switch statement
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXECUTE_JAVA`
    `EXECUTE_OS_COMMAND`
    `ISSUE_DELETE_QUERY`
    `LV_PUBLISH_ALERT`
    `PUBLISH_ALERT`
    `SEND_EMAIL`
    `SEND_TUPLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReadable()`
    `static AlertRuleAction.ActionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AlertRuleAction.ActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEND_EMAIL

          public static final AlertRuleAction.ActionType SEND_EMAIL

    - #### EXECUTE_JAVA

          public static final AlertRuleAction.ActionType EXECUTE_JAVA

    - #### EXECUTE_OS_COMMAND

          public static final AlertRuleAction.ActionType EXECUTE_OS_COMMAND

    - #### PUBLISH_ALERT

          public static final AlertRuleAction.ActionType PUBLISH_ALERT

    - #### SEND_TUPLE

          public static final AlertRuleAction.ActionType SEND_TUPLE

    - #### ISSUE_DELETE_QUERY

          public static final AlertRuleAction.ActionType ISSUE_DELETE_QUERY

    - #### LV_PUBLISH_ALERT

          public static final AlertRuleAction.ActionType LV_PUBLISH_ALERT

  - ### Method Detail

    - #### values

          public static AlertRuleAction.ActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlertRuleAction.ActionType c : AlertRuleAction.ActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlertRuleAction.ActionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadable

          public String getReadable()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.